Net::DNS::SEC::Digest(3)

NAME
Net::DNS::SEC::Digest - Message Digest Algorithms

SYNOPSIS
    require Net::DNS::SEC::Digest;

    $object = Net::DNS::SEC::Digest::SHA->new(256);
    $object->add($text);
    $object->add($more);
    $digest = $object->digest;

DESCRIPTION
Interface package providing access to the message digest algorithm implementations within the OpenSSL libcrypto library.

METHODS

  new
    require Net::DNS::SEC::Digest;
    $object = Net::DNS::SEC::Digest::SHA->new(256);

Creates and initialises a new digest object instance for the specified algorithm class.

  add
    $object->add($data);
    $object->add($more);

Append specified data to the digest stream.

  digest
    $digest = $object->digest;

Returns an octet string containing the calculated digest.

ACKNOWLEDGMENT
Thanks are due to Eric Young and the many developers and contributors to the OpenSSL cryptographic library.

COPYRIGHT
Copyright (c)2020,2021 Dick Franks.

All rights reserved.

LICENSE
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the original copyright notices appear in all copies and that both copyright notice and this permission notice appear in supporting documentation, and that the name of the author not be used in advertising or publicity pertaining to distribution of the software without specific prior written permission.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

SEE ALSO
Net::DNS, Net::DNS::SEC, OpenSSL <http://www.openssl.org/docs>